SPA Users
SPA: Retrieves a single User
Returns a single user by ID. Requires ROLE_ADMIN.
GET
/api/spa/users/{id}Authorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Path Parameters
id
stringrequired
User identifier
Response
200
User resource
id
integer
email
string<email>
roles
string | null[]
invalidRoleValues
string | null[]
adminNote
string | null
password
string
active
boolean
lastLoginDate
string<date-time> | null
previousLoginDate
string<date-time> | null
releaseNotesDate
string<date-time> | null
authCode
string | null
locale
string
signature
string | null
Personal signature image (base64 encoded PNG, without data-URI prefix).
sharePointEmail
string | null
Microsoft 365 account email used for SharePoint document editing when it differs from the application login email.
client
object
subClient
object
createdBy
string
User, created this entry
updatedBy
string
User, updated this entry
createdAt
string<date-time>
UTC date time of entry creation
updatedAt
string<date-time>
UTC date time of last entry update
userIdentifier
string
A visual identifier that represents this user.
emailAuthEnabled
boolean
emailAuthRecipient
string
emailAuthCode
string
subClientId
integer
SubClient ID. Provided on instances with enabled sub-client module only.
subClientDescription
string
SubClient description. Provided on instances with enabled sub-client module only.
subClientColor
string
SubClient display colour. Provided on instances with enabled sub-client module only.